
/**
 * 获取访客来源chart'opt
 * 
 * data:number[]    [百度,360,搜狗]
 * 
 */

export let getSourceChartOpt =function(dataArr){
  return {
    tooltip: {
      trigger: 'item',
      formatter: "{a} {b}: {c} ({d}%)"
    },
    legend: {
      data: [
        {
          name: '百度',
          icon: 'rect',
          itemStyle: {
            color: 'red'
          }
        },
        {
          name: '360',
          icon: 'rect'
        },
        {
          name: '搜狗',
          icon: 'rect'
        }
      ],
      textStyle: {
        fontSize: 14
      },
      left: 0,
      top: 0,
      itemGap: 30,
      itemWidth: 20,
      itemHeight: 6
    },
    series: [
      {
        name: '访问来源',
        type: 'pie',
        radius: ['50%', '70%'],
        avoidLabelOverlap: false,
        legendHoverLink: false,
        label: {
          normal: {
            show: false,
            formatter: '{c}',
            position: 'center'
          },
          emphasis: {
            show: true,
            textStyle: {
              fontSize: '24',
              fontWeight: 'bold'
            }
          }
        },
        labelLine: {
          normal: {
            show: false
          }
        },
        data: [
          {
            value: dataArr[0],
            name: '百度',
            itemStyle: {
              color: {
                type: 'linear',
                colorStops: [{
                  offset: 0, color: '#B84592' // 0% 处的颜色
                }, {
                  offset: 1, color: '#FF4F81' // 100% 处的颜色
                }],
                globalCoord: false // 缺省为 false
              }
            }
          },
          {
            value: dataArr[1],
            name: '360',
            itemStyle: {
              color: {
                type: 'linear',
                colorStops: [{
                  offset: 0, color: '#9AFFC2' // 0% 处的颜色
                }, {
                  offset: 1, color: '#7F7BFF' // 100% 处的颜色
                }],
                globalCoord: false // 缺省为 false
              }
            }
          },
          {
            value: dataArr[2],
            name: '搜狗',
            itemStyle: {
              color: {
                type: 'linear',
                colorStops: [{
                  offset: 0, color: '#7FA5FF' // 0% 处的颜色
                }, {
                  offset: 1, color: '#855EFF' // 100% 处的颜色
                }],
                globalCoord: false // 缺省为 false
              }
            }
          },
        ]
      }
    ]
  };
} 