//mock
// {
//   dayTime: [0, 2, 4, 6, 8, 10, 12, 14, 16, 18, 20, 22, 24],
//   visitorNum: [17, 6, 12, 7, 9, 12, 19, 8, 14, 15, 17, 8, 18],
//   clickNum: [7, 19, 5, 15, 6, 11, 17, 14, 12, 16, 9, 11, 14]
// }


/**
 * 获取 toDay chart opt
 * 
 * data:{
 *    dayTime:number[]     日期
 *    visitorNum:number[]  访客数
 *    clickNum:number[]    点击数
 * }
 * 
 * type:string    显示方式   line | bar
 */
export let getToDayChartOpt = function(data, type) {
  return {
    legend: {
      data: [{
          name: '访客数',
          icon: 'rect'
        },
        {
          name: '点击数',
          icon: 'rect'
        }
      ],
      textStyle: {
        fontSize: 14
      },
      left: 0,
      top: 0,
      itemGap: 30,
      itemWidth: 20,
      itemHeight: 6
    },
    grid: {
      left: '0',
      right: '0',
      bottom: '0',
      containLabel: true
    },
    tooltip: {
      trigger: 'axis',
      axisPointer: {
        type: 'line',
        lineStyle: {
          color: 'rgba(0, 0, 0, 0.4)',
          // width:30,
          // shadowColor:'rgba(0, 0, 0, 0.5)',
          // shadowBlur:1
        }
      }
    },
    xAxis: {
      type: 'category',
      data: data.dayTime,
      boundaryGap: false, //从0开始
      axisLine: { //坐标线
        show: false
      }, //刻度线
      axisTick: {
        show: false
      }, //文字
      axisLabel: {
        color: '#666'
      }
    },
    yAxis: {
      show: false
    },
    series: [{
        name: '访客数',
        data: data.visitorNum,
        type: type || 'line',
        itemStyle: {
          color: '#028DFF', //颜色
        },
        lineStyle: {
          width: 2
        },
        showSymbol: false, //是否显示转折符号
        // smooth:true,    //平滑显示
        areaStyle: { //区域样式
          opacity: '0.3',
          color: {
            type: 'linear',
            x: 0,
            y: 0,
            x2: 0,
            y2: 1,
            colorStops: [{
                offset: 0,
                color: '#028DFF' // 0% 处的颜色
              },
              {
                offset: 1,
                color: 'rgba(255,255,255,1)' // 100% 处的颜色
              }
            ],
            globalCoord: false // 缺省为 false
          }
        }
      },
      {
        name: '点击数',
        data: data.clickNum,
        type: type,
        itemStyle: {
          color: '#E72120', //颜色
        },
        lineStyle: {
          width: 2
        },
        showSymbol: false, //是否显示转折符号
        // smooth:true,    //平滑显示
        areaStyle: { //区域样式
          opacity: '0.3',
          color: {
            type: 'linear',
            x: 0,
            y: 0,
            x2: 0,
            y2: 1,
            colorStops: [{
                offset: 0,
                color: '#E72120' // 0% 处的颜色
              },
              {
                offset: 1,
                color: 'rgba(255,255,255,1)' // 100% 处的颜色
              }
            ],
            globalCoord: false // 缺省为 false
          }
        }
      }
    ]
  }
};